Subject: Re: dll, java, gcc, cygwin
From: [email-masked] (Earnie Boyd)

25 Oct 1998 17:54:00 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Mumit Khan <[email-masked]>, Andrew Mickish <[email-masked]>
Cc: Glen Fullmer-EGF002 <[email-masked]>,
        [email-masked]

---Mumit Khan <[email-masked]> wrote:
>
> On Thu, 22 Oct 1998, Andrew Mickish wrote:
> 
> > It might be related to name mangling.  Try adding .def aliases in
your larger
> > example.  I have to supply aliases in a .def file like the
following for every native
> > method I export from the DLL:
> > 
> >      EXPORTS
> >     
Java_HelloWorld_displayHelloWorld=Java_HelloWorld_displayHelloWorld@8
> >      dll_entry@12
> > 
> 
> Here's a proposal: how about I add a --add-stdcall-alias to dlltool
which
> essentially produce the following:
> 
>       EXPORTS
>      
Java_HelloWorld_displayHelloWorld=Java_HelloWorld_displayHelloWorld@8
>       Java_HelloWorld_displayHelloWorld@8
> 
> When creating .def file using ``dlltool --output-def''. Would this
solve 
> the problem? Note that I'm keeping the original symbol as well, but
we 
> could always get rid of that too.
> 

Please, group them together for ease of spliting the file, i.e.:

ThisFunc=ThisFunc@8
ThatFunc=ThatFunc@8
ThisFunc@8
ThatFunc@8

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".